Bug 884678 - [7.0 FEAT] yum update --skip-broken does not always update packages which can be updated
Summary: [7.0 FEAT] yum update --skip-broken does not always update packages which can...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: yum
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 7.0
Assignee: James Antill
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-06 14:38 UTC by Dalibor Pospíšil
Modified: 2014-01-21 06:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-18 19:42:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dalibor Pospíšil 2012-12-06 14:38:28 UTC
Description of problem:
yum update does not update system if there are some broken dependencies with advice to use --skip-broken. yum update --skip-broken also does not update anything even if some packages can be updated.

Version-Release number of selected component (if applicable):
yum-3.4.3-46.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. install RHEL-7 from http://download.eng.bos.redhat.com/composes/finished/RHEL-7.0-20120711.2/compose/Server/x86_64/os/
2. # yum -y groupinstall desktop general-desktop
3. change repo to http://download.eng.bos.redhat.com/composes/finished/RHEL-7.0-20121129.0/compose/Server/x86_64/os/
4. yum -y update yum
5. yum -y update
6. yum -y --skip-broken update 
7. yum -y update kernel
  
Actual results:
kernel is updated in step 7

Expected results:
kernel is already updated in step 6

Comment 1 Dalibor Pospíšil 2012-12-06 14:48:07 UTC
The installation in step 1 should be done as minimal, but that is probably not crucial.

Comment 2 Dalibor Pospíšil 2012-12-06 16:04:39 UTC
Actually there are some packages updated in the step 6. But still not all possible packages.

Comment 3 James Antill 2013-06-18 19:42:58 UTC
 Not sure even DNF will be able to do this feature, but yum certainly can't guarantee we'll always have the optimal (from the users POV) depsolve ... esp. for --skip-broken.


Note You need to log in before you can comment on or make changes to this bug.